<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tl="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal">

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/viewPager2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/bottomLine" />

        <View
            android:id="@+id/bottomLine"
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_above="@id/tabLayout"
            android:background="#cacbcc" />

        <com.flyco.tablayout.CommonTabLayout
            android:id="@+id/tabLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:background="#ffffff"
            android:paddingVertical="@dimen/d_10"
            android:paddingTop="5dp"
            android:paddingBottom="5dp"
            tl:tl_iconHeight="48dp"
            tl:tl_iconWidth="44dp"
            tl:tl_textSelectColor="@color/colorPrimary"
            tl:tl_textUnselectColor="#999999"
            tl:tl_textsize="@dimen/d_24" />
    </RelativeLayout>
    <FrameLayout
        android:id="@+id/dialogLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"/>
</FrameLayout>